Subject: Re: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Oct 2019 23:21:25 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 26 Oct 2019 22:05:03 +0200
> 
> I wonder why we assign Vdata_directory on init_callproc_1 to the
> installed Emacs directory ("/usr/local/share/emacs/27.0.50/etc/" on
> this case) when we are running a non-installed Emacs.

I thought the comments there explained that?

> BTW, fixing the `if' mentioned above also causes C-h r, C-h t and
> probably others to use the non-installed docs. Buth C-h i still shows
> the directory of info files of the installed version. I guess that
> without a `dir' file on the non-installed doc directory we can't solve
> this, right?

But we do have 'dir' in the source tree, it's in info/.